package com.zbf.system.service;

import com.zbf.system.domain.TBasePallet;

import java.util.List;

/**
 * 托盘Service接口
 *
 * @author sunits
 * @date 2024-06-16
 */
public interface ITBasePalletService {
    /**
     * 查询托盘
     *
     * @param id 托盘主键
     * @return 托盘
     */
    public TBasePallet selectTBasePalletById(Long id);

    /**
     * 查询托盘列表
     *
     * @param tBasePallet 托盘
     * @return 托盘集合
     */
    public List<TBasePallet> selectTBasePalletList(TBasePallet tBasePallet);

    /**
     * 新增托盘
     *
     * @param tBasePallet 托盘
     * @return 结果
     */
    public int insertTBasePallet(TBasePallet tBasePallet);

    /**
     * 修改托盘
     *
     * @param tBasePallet 托盘
     * @return 结果
     */
    public int updateTBasePallet(TBasePallet tBasePallet);

    /**
     * 批量删除托盘
     *
     * @param ids 需要删除的托盘主键集合
     * @return 结果
     */
    public int deleteTBasePalletByIds(Long[] ids);

    /**
     * 删除托盘信息
     *
     * @param id 托盘主键
     * @return 结果
     */
    public int deleteTBasePalletById(Long id);

    /**
     * 批量禁用托盘
     *
     * @param ids 需要禁用的托盘主键集合
     * @return 结果
     */
    public int disabledTBasePalletByIds(Long[] ids);

    /**
     * 批量启用托盘
     *
     * @param ids 需要启用的托盘主键集合
     * @return 结果
     */
    public int enableTBasePalletByIds(Long[] ids);


    public String importData(List<TBasePallet> palletList, boolean updateSupport, String userName);

    int changeStatus(Long[] ids, TBasePallet tBasePallet);
}

